View Issue Details

IDProjectCategoryView StatusLast Update
09747Bug reportsSurvey editingpublic2015-07-24 11:44
Reporterriqcles Assigned ToDenisChenu  
PriorityhighSeverityblock 
Status closedResolutionfixed 
Product Version2.06+ 
Fixed in Version2.06+ 
Summary09747: Impossible : Creation sub question IE9
Description
Hello,
I encounter the same problem sub question we can not create, but linked to the IE 9 browser (no problem with Mozilla).

I can not save the changes (I press the button and I have no message that confirms my backup).
Steps To ReproduceSee the file
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.06+ Build 150629
I will donate to the project if issue is resolvedNo
BrowserFirefox 31 et IE 9
Database & DB-VersionPostgresql 9.3
Server OS (if known)Centos 6.5
Webserver software & version (if known)Apache 2.2
PHP VersionPhph 5.3

Activities

riqcles

riqcles

2015-07-03 11:27

reporter  

Remonte_bugs.7z (826,412 bytes)
riqcles

riqcles

2015-07-03 11:28

reporter   ~32611

you must decompress the file to have two file.
To put the. htm in the browser to watch the video.
DenisChenu

DenisChenu

2015-07-04 11:34

developer   ~32615

@riqcles : can you try to remove the line console.log(otherisreserved); in scripts/admin/subquestions.js#L19 if it's fix the issue : you can make a pull request on github https://github.com/LimeSurvey/LimeSurvey/blob/master/scripts/admin/subquestions.js#L19 (clicking on edit this file)
riqcles

riqcles

2015-07-06 12:19

reporter   ~32622

Remove line is OK now for IE9.

For github i try but no success (i never use github before :( )

Can you Denis ?
c_schmitz

c_schmitz

2015-07-24 11:44

administrator   ~32791

Version 2.06 Build 150723 released

Related Changesets

LimeSurvey: master f6550f58

2015-07-06 06:24:56

DenisChenu

Details Diff
Dev: remove console.log Affected Issues
09747
mod - scripts/admin/subquestions.js Diff File

Issue History

Date Modified Username Field Change
2015-07-03 11:27 riqcles New Issue
2015-07-03 11:27 riqcles File Added: Remonte_bugs.7z
2015-07-03 11:28 riqcles Note Added: 32611
2015-07-04 11:34 DenisChenu Note Added: 32615
2015-07-06 12:19 riqcles Note Added: 32622
2015-07-06 14:48 DenisChenu Changeset attached => LimeSurvey master f6550f58
2015-07-06 14:48 DenisChenu Status new => resolved
2015-07-06 14:48 DenisChenu Fixed in Version => 2.06+
2015-07-06 14:48 DenisChenu Resolution open => fixed
2015-07-06 14:48 DenisChenu Assigned To => DenisChenu
2015-07-24 11:44 c_schmitz Note Added: 32791
2015-07-24 11:44 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing